summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2021-02-26 09:39:51 +0100
committerDavid Seifert <soap@gentoo.org>2021-02-26 09:39:51 +0100
commit4aea30164cf091cb80d25b58c68ac54658ed2237 (patch)
treed49b8696fb9ff96eabc166730d016533ad922f71 /sys-block/libfabric/libfabric-1.11.2.ebuild
parentdev-python/googleapis-common-protos: Add python@ as co-maint (diff)
downloadgentoo-4aea30164cf091cb80d25b58c68ac54658ed2237.tar.gz
gentoo-4aea30164cf091cb80d25b58c68ac54658ed2237.tar.bz2
gentoo-4aea30164cf091cb80d25b58c68ac54658ed2237.zip
sys-block/libfabric: [QA] Remove .la and .a files
Closes: https://bugs.gentoo.org/772944 Package-Manager: Portage-3.0.15, Repoman-3.0.2 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sys-block/libfabric/libfabric-1.11.2.ebuild')
-rw-r--r--sys-block/libfabric/libfabric-1.11.2.ebuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/sys-block/libfabric/libfabric-1.11.2.ebuild b/sys-block/libfabric/libfabric-1.11.2.ebuild
index 59d1c970e24..e4b0e429284 100644
--- a/sys-block/libfabric/libfabric-1.11.2.ebuild
+++ b/sys-block/libfabric/libfabric-1.11.2.ebuild
@@ -41,7 +41,8 @@ src_prepare() {
}
src_configure() {
- local -a myeconfargs=(
+ local myeconfargs=(
+ --disable-static
# let's try to avoid automagic deps
--enable-bgq=no
--enable-cuda-dlopen=$(usex cuda yes no)
@@ -68,3 +69,10 @@ src_configure() {
)
econf "${myeconfargs[@]}"
}
+
+src_install() {
+ default
+
+ # no static archives
+ find "${ED}" -name '*.la' -delete || die
+}